CON
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000
  #1, HOME, #8, BKSP, TAB, LF, CLREOL, CLRLB, CR, #16, CLS      ' PST formmatting control  
OBJ
  Sio  : "FullDuplexSerialPlus"        
  vp : "Conduit"                             ' Declare ViewPort conduit
  qs : "QuickSample"                         ' Declare 
  En : "Quadrature Encoder"

VAR
  long Encoder, Delta
  long cycle, dt
Pub Main | i
  Sio.start(31,30,0,115200)  ' Rx,Tx, Mode, Baud
'  Sio.startRxTx(8,9,0,115200)  ' Rx,Tx, Mode, Baud      XBee
'  vp.register(qs.sampleINA(@frame,1))        'sample INA into <frame> array
'  vp.share(@chlong, @chlong)
  En.Start(0, 1, 1, @Encoder)
  dt := clkfreq /10
  cycle := cnt
  repeat
    Sio.dec(Encoder)
    Sio.tx(TAB)
    Sio.dec(En.ReadDelta(0))
    Sio.tx(CR)
    cycle += dt
    waitcnt(cycle)       